### Target-specific definitions for compiling Maria -*- makefile -*-
### Digital C++ compiler (last tested with v6.5-028)

## The GNU Readline library (if enabled, check also the directories)
HAS_READLINE = yes
HAS_READLINE =
LIBREADLINE = $(HAS_READLINE:yes=-L/usr/local/lib -lreadline -lncurses)
INCREADLINE = $(HAS_READLINE:yes=-I/usr/local/include -DHAS_READLINE)

## Support for compiled expressions
EXPR_COMPILE = yes
#EXPR_COMPILE =

## Digital C++ compiler
CXX = cxx
CC = cc
EXTRA_INCLUDES =
EXTRA_LIBS =
DEFINES = -DHAS_REGEX -D_POSIX_PII
CFLAGS = -arch host -tune host -assume trusted_short_alignment -assume noptrs_to_globals -compress -w1 -std strict_ansi_errors
CXXFLAGS = $(CFLAGS) -Iport -nocleanup -nortti
## Note that static linking disables the use of EXPR_COMPILE,
## as statically linked executables cannot successfully invoke dlopen()
#LDFLAGS = -non_shared -om

## GNU Compiler Collection 3.2.1 (same DEFINES as above)
#CXX = g++
#CC = gcc
#EXTRA_INCLUDES =
#CFLAGS = -Wall -ansi -pedantic# -O3
#CXXFLAGS = $(CFLAGS) -Iport -fno-exceptions -fno-rtti

all: real-all

include Makefile
